# encoding: utf-8

 class Object
    def _?(b = nil)
      return yield(self) if block_given?
      return self
    end
  end

  class NilClass
    def _?(b = nil)
#      return yield if block_given?
      return b
    end
  end
